IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'CST_REG'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD CST_REG VARCHAR(3) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
END

IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'CLASS_TRIB_REG'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD CLASS_TRIB_REG VARCHAR(6) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
END

IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'PERC_EFET_REG_IBS_UF'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD PERC_EFET_REG_IBS_UF MONEY NULL;
END

IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'VLR_TRIB_REG_IBS_UF'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD VLR_TRIB_REG_IBS_UF MONEY NULL;
END


IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'PERC_EFET_REG_IBS_MUN'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD PERC_EFET_REG_IBS_MUN MONEY NULL;
END


IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'VLR_TRIB_REG_IBS_MUN'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD VLR_TRIB_REG_IBS_MUN MONEY NULL;
END


IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'PERC_EFET_REG_CBS'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD PERC_EFET_REG_CBS MONEY NULL;
END


IF NOT EXISTS (
		SELECT 1
		FROM sys.columns
		WHERE Name = 'VLR_TRIB_REG_CBS'
			AND Object_ID = Object_ID('dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS')
		)
BEGIN
	ALTER TABLE dbo.EST_NF_ENT_DANFE_PROVISORIO_ITENS_IBS_CBS ADD VLR_TRIB_REG_CBS MONEY NULL;
END
